## python-mbstrdecoder 1.1.0

=== Makefile ===
PACKAGE := mbstrdecoder
DOCS_DIR := docs
PYTHON := python3


.PHONY: build
build: clean
	@$(PYTHON) -m tox -e build
	ls -lh dist/*

.PHONY: check
check:
	@$(PYTHON) -m tox -e lint

.PHONY: clean
clean:
	@$(PYTHON) -m tox -e clean

.PHONY: fmt
fmt:
	@$(PYTHON) -m tox -e fmt

.PHONY: release
release:
	@$(PYTHON) setup.py release --sign
	@make clean

.PHONY: setup
setup:
	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade -e .[test] releasecmd tox
	@$(PYTHON) -m pip check

=== requirements/requirements.txt ===
chardet>=3.0.4,<5

=== debian/changelog ===
python-mbstrdecoder (1.1.0-4) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090530).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:01:23 +0100

python-mbstrdecoder (1.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047663).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 13:47:30 +0200

python-mbstrdecoder (1.1.0-2) unstable; urgency=medium

  * Reupload source-only.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Mar 2022 21:10:06 +0100

python-mbstrdecoder (1.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1006963)

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2022 13:44:25 +0100

=== debian/control ===
Source: python-mbstrdecoder
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-chardet,
 python3-pytest,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-mbstrdecoder
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-mbstrdecoder.git
Homepage: https://github.com/thombashi/mbstrdecoder

Package: python3-mbstrdecoder
Architecture: all
Depends:
 python3-chardet,
 ${misc:Depends},
 ${python3:Depends},
Description: multi-byte character string decoder
 Mbstrdecoder is a Python library for multi-byte character string decoder.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/thombashi/mbstrdecoder.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build .pytest_cache *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp


ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers -m pytest test ; \
	done
endif


override_dh_auto_test:
	echo "Do nothing..."

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/mbstrdecoder/mbstrdecoder-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
